html, body {
  position: relative;
  min-height: 100vh;
}
body {
    padding-top: 40px;
    padding-bottom: 40px;
    color: #eee;
    background-image: -webkit-linear-gradient(top,#222 0,#333 100%);
    background-image: -o-linear-gradient(top,#222 0,#333 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(#222),to(#333));
    background-image: linear-gradient(to bottom,#222 0,#333 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff222', endColorstr='#ff333', GradientType=0);
    background-repeat: repeat-x;
    background: #333;
    background: url('../../assets/img/fondo/login.jpg') no-repeat center;
    background-size: cover;
}

.form-signin {
    max-width: 400px;
    padding: 15px;
    margin: 0 auto;
    background: rgba(0,0,0,.5);
    padding: 15px 50px 40px;
}
.form-signin .form-signin-heading,
.form-signin .checkbox {
  margin-bottom: 10px;
}
.form-signin .checkbox {
  font-weight: normal;
}
.form-signin .form-control {
  position: relative;
  height: auto;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  padding: 10px;
  font-size: 16px;
}
.form-signin .form-control:focus {
  z-index: 2;
}
.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
@media (min-width:1200px){
  body {
    padding-top: 22vh;
  }

}

@media (max-width:768px){
  body {
      min-height: 50vh;
    padding-top: 25vh;
    padding-bottom: 0vh;
    margin: 0px;
  }
  html, body {
    min-height: none;
  }
}